#!/bin/bash
#SBATCH -t 12:00:00
#SBATCH --ntasks=20
#SBATCH -N 1
#SBATCH --mem=120000
#SBATCH --share
#SBATCH --output=output_bwa_alignment_%j.out

# This was the alignment method for Illumina DNA sequence data.

module load dept/bioinfo
module load bio-bwa/0.7.15

# This script aligns forward and reverse reads from fastq files to a reference genome. Areas of this script that need to be customized are noted with <>. For example, if part of the script required the name of a file, it would say <ENTER_FILE>

bwa mem -t 20 -R '@RG\tID:<ENTER_READGROUP_ID>\tLB:<ENTER_LIBRARY_ID>\tPL:illumina\tPU:<ENTER_PLATFORM_USER>\tSM:<ENTER_SAMPLE_ID>' -M <ENTER_REFERENCE_GENOME.fasta> <ENTER_FORWARD_READS_R1.fastq> <ENTER_REVERSE_READS_R2.fastq> > <OUTPUT_ALIGNMENT_bwa.sam>

