#!/bin/bash
#SBATCH -t 12:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=110000
#SBATCH --output=picard_processing_%j.out
#SBATCH --share

module load java/8

java -jar /lustre/cichlid-labs/sw/picard/dist/picard.jar SortSam INPUT=<ENTER_ALIGNMENT_bwa.sam> OUTPUT=<OUTPUT_ALIGNMENT_bwa.sorted.bam> SORT_ORDER=coordinate

java -jar /lustre/cichlid-labs/sw/picard/dist/picard.jar MarkDuplicates INPUT=<ENTER_ALIGNMENT_bwa.sorted.bam> OUTPUT=<OUTPUT_ALIGNMENT_bwa.sorted.marked_duplicates.bam> METRICS_FILE=<OUTPUT_ALIGNMENT_bwa.sorted.marked_duplicates_metrics.txt>

java -jar /lustre/cichlid-labs/sw/picard/dist/picard.jar BuildBamIndex INPUT=<ENTER_ALIGNMENT_bwa.sorted.marked_duplicates.bam>

