#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=20
#SBATCH -N 1
#SBATCH --mem=127000
#SBATCH --share
#SBATCH --output=output_mpileup_scaled_cov_ratio_%j.out

# This script takes a scaled.mpileup file and makes a file that adds a column per sample. This column is the scaled coverage ratio between a B-sample and the corresponding NoB-sample. The scaled coverage of NoB-samples can be divided by itself as a check. These optional added columns for the NoB-samples should report "1" for most positions and if not, something went wrong. 
# If the coverage in the NoB-sample is 0 at any position, then the scaled coverage ratio will be calculated as if the NoB-sample coverage was 1 (scaled coverage = 1 divided by the average coverage).

awk '{print $1, $2, $3, $4, $5, ($7 != 0 ? $5/$7 : $5/(1/<ENTER_NoB_AVERAGE_COVERAGE>)), $6, $7, ($7 != 0 ? $7/$7 : $7/(1/<ENTER_NoB_AVERAGE_COVERAGE>))}' <ENTER_scaled.mpileup> > <OUTPUT_scaled.ratio.mpileup>


