#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_tab_make_BED_file_%j.out

# This script takes a scaled.ratio.mpileup_binomial file and prints all lines with scaled-coverage ratios >=3 and binomial p-values <=0.001 to a new file. Only the LG/CHROM and position (start and end) are reported.

awk -v OFS='\t' '{if (($6 >= 3) && ($10 <= 0.001)) print $1, $2, $2}' <ENTER_scaled.ratio.mpileup_binomial> > <OUTPUT_PASSING_BP.bed>

