#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_pair_B_with_NoB_%j.out

# This script is entirely optional. When working with several samples (including multiple B and multiple NoB), it can be helpful to take the blocks_mpileup.bed file and break it down into seperate files each containing 1 B sample and its corresponding NoB sample. This is particularly helpful when using R to make figures (such as histograms or scatterplots). For example, if the original mpileup script (03_run_mpileup.sh) was run with three samples (sample1 B, NoB, sample2 B) you could use the following lines to seperate out the data into two files (though this is really for cases when processing 6+ samples).


awk '{print $1, $2, $4, $5, $6, $7, $8, $9}' <ENTER_blocks_mpileup.bed> > <OUTPUT_table_B_bp_Sample1.bed>
awk '{print $1, $2, $10, $11, $12, $7, $8, $9}' <ENTER_blocks_mpileup.bed> > <OUTPUT_table_B_bp_Sample2.bed>



