#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_bedtools_merge_block_info_%j.out

# This script takes the info.bed file, which has a separate line for each bp, and re-merges this into blocks. While doing so, it records the mean of the coverage, scaled coverage and SCR of the B sample and the scaled coverage of the NoB sample. 

bedtools merge -i <ENTER_info.bed> -d 300 -c 4,5,6,7 -o mean,mean,mean,mean > <OUTPUT_block_info.bed>
