#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_total_length_of_each_block_on_B_%j.out

# This script multiplies the block length by ((2*SCR)-2) if the NoB scaled ratio is equal to or greater than 1. If the NoB scaled ratio is less than 1, this script multiplies block length by (2*B scaled coverage). This estimate of total length in B space for each block is added to a new column.

awk '{print $1, $2, $3, $4, $5, $6, $7, $8, ($8 >=1 ? $4*(($7*2)-2) : $4*($6*2))}' <ENTER_block_info_size.bed> > <OUTPUT_B_chrom_length.bed>



